Summary:	Graphical dvd9 to dvd5 converter
Summary(de):	Grafischer DVD9 zu DVD5 Konverter
Name:		dvd95
Version:	1.6p0
Release:	%mkrel 1
License:	GPLv2
Group:		Video
URL:		http://dvd95.sourceforge.net/
Source:		http://dl.sf.net/dvd95/%{name}-%{version}.tar.xz
Patch:		%{name}-no-return-in-nonvoid-function.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	ffmpeg mplayer mencoder %{_lib}mpeg2dec-devel 
BuildRequires:	%{_lib}dvdread-devel
BuildRequires:	gettext intltool gtk2-devel >= 2.6 gnomeui2-devel libxml2-devel
BuildRequires:	libcaca-devel dirac-devel %{_lib}oil0.3_0 libtheora
BuildRequires:  %{_lib}caca0 %{_lib}jack0
#BuildConflicts: libdvdread4 libdvdread4-devel
Requires:	ffmpeg mplayer

%description
DVD95 is a GNOME application to convert DVD9 (8.5G) to DVD5 (4.7G).

It needs no additional packages, an onboard version of vamps and
dvdauthor is used, to be as fast as possible. Interface is pretty
simple yo use.
Shrinking factor may be computed for best results, or an adaptive
compression ratio method may be used.

Dvd can be converted to a file tree or an ISO file. The result can
be played with xine, vlc, or mplayer or burned using third party
software (k3b).

DVD95 support two copy modes:
* Without menus, one video title set, multiple audio and subtitles.
* With menus, one video title set, multiple audio and subtitles.
#german
%description -l de
DVD95 ist eine GNOME-Anwendung, um eine DVD9 auf eine DVD5 zu 
kopieren. Es werden keine zusätzlichen Pakete benötigt, da die 
erforderlichen Werkzeuge "vamps" und "dvdauthor" direkt in das 
Programm integriert sind, um eine möglichst hohe Effizienz zu 
erzielen. 

Die Bedienoberfläche ist sehr einfach gehalten und intuitiv 
bedienbar. DVDs können als Verzeichnisbaum oder als ISO-Datei 
kopiert werden, zum Brennen ist dann noch eine zusätzliche 
Software erforderlich.

%prep
%setup -q
%patch -p1

# fix desktop file
sed -i -e 's|Icon=dvd95/dvd9548.png|Icon=%{name}|g' dvd95.desktop
sed -i -e 's|Application;||g' dvd95.desktop
sed -i -e 's|Encoding=UTF-8||g' dvd95.desktop

%build
autoreconf -fis
%configure2_5x
%make

%install
%makeinstall

# icon
install -dm 755 %{buildroot}%{_datadir}/pixmaps
install -m 644 pixmaps/dvd9548.png %{buildroot}%{_datadir}/pixmaps/%{name}.png

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Video" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop



%find_lang %{name}

%clean
%__rm -rf %{buildroot}
%__rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README TODO
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%dir %{_datadir}/pixmaps/%{name}
%{_datadir}/pixmaps/%{name}/*
%{_datadir}/pixmaps/*.png

%changelog
* Tue Apr 03 2012 Neal <nealbrks0 at gmail dot com> 1.6p0-1pclos2012
- process

* Tue Apr 03 2012 leiche <meisssw01 at gmail.com> 1.6p0-1pclos2012
- 1.6p0

* Tue Mar 27 2012 leiche <meisssw01 at gmail.com> 1.5p2-3pclos2012
- rebuild for 64 bit
- add german description
- convert archive to xz

* Fri Jan 08 2010 Texstar <texstar at gmail.com> 1.5p2-2pclos2010
- rebuild

* Mon Jul 27 2009 pcserver <pcserver at hushmail.com> 1.5p2-1pclos2009
- create

